QGIS Application - Bug report #16359

In the print composer dynamically referencing to page size presets leads to wrong expression
evaluation

2017-03-16 04:48 AM - Johanna Seibert

Status: Closed

Priority: Low

Assignee:

Category: Expressions

Affected QGIS version:2.18.4 Regression?: No

Operating System: Debian Jessie Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24269
Description

In the print composer a preset page size is set (e.g. A0). ltem sizes/positions are defined using expression evaluation like
"@layout_pagewidth -10". When changing the preset page size, it is expected that the item variable follows the change. However, the
expression seems to be evaluated with the old layout presets. A work around is saving the project with the new page sizes and after
reload the expression has been correctly evaluated.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2017-12-19 01:17 AM - Nyall Dawson

- Status changed from Open to Feedback

Please retest using layouts engine on qgis 3.0 master

#3 - 2018-08-15 07:33 PM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
